Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.vm.buildins.datetime
Class DateTimePrologCode

    java.lang.Object
      gnu.prolog.vm.ExecuteOnlyCode
          gnu.prolog.vm.buildins.datetime.DateTimePrologCode

All Implemented Interfaces:
  Installable, PrologCode

Direct Known Subclasses:
  Predicate_date_time_stamp, Predicate_date_time_value, Predicate_format_time, Predicate_parse_time, Predicate_stamp_date_time

    public abstract class DateTimePrologCode

extends ExecuteOnlyCode

Author:
  Michiel Hendriks

Field Summary
`static CompoundTermTag` | `date3Tag`
`static CompoundTermTag` | `date9Tag`
`static AtomTerm` | `dateAtom`
`static AtomTerm` | `timeAtom`
`static CompoundTermTag` | `timeTag`

Fields inherited from interface gnu.prolog.vm.PrologCode
`FAIL, HALT, SUCCESS, SUCCESS_LAST`

Constructor Summary
`DateTimePrologCode()`

Method Summary
`static Date` | `getDate(Term term)`

Methods inherited from class gnu.prolog.vm.ExecuteOnlyCode
`execute, install, uninstall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dateAtom

    public static final AtomTerm dateAtom

### timeAtom

    public static final AtomTerm timeAtom

### date9Tag

    public static final CompoundTermTag date9Tag

### date3Tag

    public static final CompoundTermTag date3Tag

### timeTag

    public static final CompoundTermTag timeTag

Constructor Detail

### DateTimePrologCode

    public DateTimePrologCode()

Method Detail

### getDate

    public static final Date getDate(Term term)
                              throws PrologException

  Throws:
    `PrologException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD